package com.qianhe.zqcz.xmrylsjl.mapper;

import com.qianhe.zqcz.xmgl.domain.ZqczXmgl;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjl;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlQuery;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczXmRyLsjlMapper {
    /**
     * 条件查询
     */
    List<ZqczXmRyLsjlVo> list(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 查询详情
     */
    ZqczXmRyLsjlVo info(Long id);

    /**
     * 新增
     */
    int add(ZqczXmRyLsjl zqczXmRyLsjl);

    /**
     * 修改
     */
    int edit(ZqczXmRyLsjl zqczXmRyLsjl);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 批量新增
     */
    int batchAdd(@Param("dataList") List<ZqczXmRyLsjl> dataList);

    /**
     * 根据基层任务ID 删除
     */
    int deleteByJcrwid(@Param("jcrwid") Long jcrwid);

    /**
     * 根据直属任务ID 删除
     */
    int deleteByZsrwid(@Param("zsrwid") Long zsrwid);

}
